> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reported Users

> Get the list of reported users. Permission required: `view-moderation-console`

## OpenAPI

````json GET /api/v1/moderation.userReports
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/moderation.userReports": {
      "get": {
        "summary": "Get Reported Users",
        "tags": [
          "Moderation"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "reports": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "count": {
                            "type": "integer"
                          },
                          "reportedUser": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "createdAt": {
                                "type": "string"
                              },
                              "username": {
                                "type": "string"
                              },
                              "emails": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "address": {
                                      "type": "string"
                                    },
                                    "verified": {
                                      "type": "boolean"
                                    }
                                  }
                                }
                              },
                              "name": {
                                "type": "string"
                              }
                            }
                          },
                          "ts": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer"
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "reports": [
                        {
                          "count": "1",
                          "reportedUser": {
                            "_id": "J6Q87AnWP5aNc9xhx",
                            "createdAt": "2025-02-04T13:02:39.356Z",
                            "username": "cat.kate",
                            "emails": [
                              {
                                "address": "testaz@example.com",
                                "verified": "false"
                              }
                            ],
                            "name": "cat kate"
                          },
                          "ts": "2026-01-16T07:36:00.02Z"
                        }
                      ],
                      "count": "1",
                      "offset": "0",
                      "total": "1",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "operationId": "get-api-v1-moderation.userReports",
        "description": "Get the list of reported users. Permission required: `view-moderation-console`",
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          }
        ]
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      }
    }
  }
}
````

